
/*****************************************************************************************  
 *  OpenSourceSaverPrefs.h
 *  OpenSourceSaver
 *
 *  Created by Doug Diego on Thu Jun 13 2002.
 *  Copyright (c) 2002 Diego.org. All rights reserved.
 *
 *  
 *  This software is distributed under the terms of the GNU General Public License (GPL)
 *
 * Permission to use, copy, modify, distribute, and sell this software and its
 * documentation for any purpose is hereby granted without fee, provided that
 * the above copyright notice appear in all copies and that both that
 * copyright notice and this permission notice appear in supporting
 * documentation.  No representations are made about the suitability of this
 * software for any purpose.  It is provided "as is" without express or 
 * implied warranty.
 *
 * THANKS for all the feed back that I have recieved.  It has been very helpful.
 ******************************************************************************************/

#import <Cocoa/Cocoa.h>

@interface OpenSourceSaverPrefs : NSWindowController
{
    float speed; 		// speed of scrolling text
    float fontSize; 		// size if the font
    NSString *fontName;		// font name
    NSString *fontColor;	// font color
    NSString *theSearchRoot;	// path to search of source files
    BOOL displayOwnSource;
    NSFont *font;
    float fontColorRed;
    float fontColorGreen;
    float fontColorBlue;
    float fontColorAlpha;

    IBOutlet id chooseRootButton;
    IBOutlet id fontField;
    IBOutlet id ownSourceSwitch;
    IBOutlet id searchRootField;
    IBOutlet id speedSlider;
    IBOutlet id colorWell;
}
- (void)loadPrefs;
- (void)storePrefs;
+ (id)sharedPreferences;

- (IBAction)changePrefs:(id)sender;
- (IBAction)chooseRoot:(id)sender;
- (IBAction)ownSource:(id)sender;
- (IBAction)setFont:(id)sender;
@end
